FMRIPREP --use-aroma error

Hi,

I encounter the following problem running fmriprep with --use-aroma tag:

[Node] Running “ica_aroma” (“niworkflows.interfaces.segmentation.ICA_AROMARPT”), a CommandLine Interface with command:
ICA_AROMA.py -tr 3.000 -np -den nonaggr -i /tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/ica_aroma_wf/smooth/vol0000_xform-00000_merged_smooth.nii.gz -m /tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/bold_std_trans_wf/_std_target_MNI152NLin6Asym.res2/mask_std_tfm/ref_bold_corrected_brain_mask_maths_trans.nii.gz -meldir /tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/ica_aroma_wf/melodic -mc /tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/bold_hmc_wf/normalize_motion/motion_params.txt -o /tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/ica_aroma_wf/ica_aroma/out
201010-17:49:27,690 nipype.workflow WARNING:
Storing result file without outputs
201010-17:49:27,691 nipype.workflow WARNING:
[Node] Error on “fmriprep_wf.single_subject_5_wf.func_preproc_ses_2_task_rest_run_1_wf.ica_aroma_wf.ica_aroma” (/tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/ica_aroma_wf/ica_aroma)
201010-17:49:29,412 nipype.workflow ERROR:
Node ica_aroma failed to run on host 367f352a5717.
201010-17:49:29,442 nipype.workflow ERROR:
Saving crash info to /out/fmriprep/sub-5/log/20201010-144652_40c09ab6-f836-464c-b5c7-f0875800c05b/crash-20201010-174929-root-ica_aroma-e1b7d980-5126-4c52-992e-dd0ecdfd2c5e.txt
Traceback (most recent call last):
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/interfaces/base/core.py”, line 500, in aggregate_outputs
setattr(outputs, key, val)
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/interfaces/base/traits_extension.py”, line 329, in validate
value = super(File, self).validate(objekt, name, value, return_pathlike=True)
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/interfaces/base/traits_extension.py”, line 134, in validate
self.error(objekt, name, str(value))
File “/usr/local/miniconda/lib/python3.7/site-packages/traits/trait_handlers.py”, line 172, in error
value )
traits.trait_errors.TraitError: The ‘nonaggr_denoised_file’ trait of a _ICA_AROMAOutputSpecRPT instance must be a pathlike object or string representing an existing file, but a value of ‘/tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/ica_aroma_wf/ica_aroma/out/denoised_func_data_nonaggr.nii.gz’ <class ‘str’> was specified.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/pipeline/plugins/multiproc.py”, line 67, in run_node
result[“result”] = node.run(updatehash=updatehash)
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/pipeline/engine/nodes.py”, line 516, in run
result = self._run_interface(execute=True)
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/pipeline/engine/nodes.py”, line 635, in _run_interface
return self._run_command(execute)
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/pipeline/engine/nodes.py”, line 741, in _run_command
result = self._interface.run(cwd=outdir)
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/interfaces/base/core.py”, line 398, in run
runtime = self._post_run_hook(runtime)
File “/usr/local/miniconda/lib/python3.7/site-packages/niworkflows/interfaces/segmentation.py”, line 211, in _post_run_hook
outputs = self.aggregate_outputs(runtime=runtime)
File “/usr/local/miniconda/lib/python3.7/site-packages/nipype/interfaces/base/core.py”, line 507, in aggregate_outputs
raise FileNotFoundError(msg)
FileNotFoundError: No such file or directory ‘/tmp/work/fmriprep_wf/single_subject_5_wf/func_preproc_ses_2_task_rest_run_1_wf/ica_aroma_wf/ica_aroma/out/denoised_func_data_nonaggr.nii.gz’ for output ‘nonaggr_denoised_file’ of a ICA_AROMARPT interface

I am not sure if its a memory problem or CPU:
but 15GB RAM are available for the task

can be closed!

Thank you

MANAGED BY INCF